=== debian/changelog ===
netifyd (4.2.2-1) stable; urgency=low

  * Initial Release

 -- Darryl Sokoloski <darryl@egloo.ca>  Sun, 01 Jan 2017 00:00:00 +0100
