=== libs/ndpi/packages/ubuntu/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

package=ndpi

build: build-stamp
build-stamp:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_prep
	#dh_clean -k
	dh_installdirs
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	mkdir -p ./debian/ndpi ./debian/ndpi-dev
	cp -r ./debian/ndpi-tmp/*     ./debian/ndpi/
	cp -r ./debian/ndpi-dev-tmp/* ./debian/ndpi-dev/
	-find ./debian/ndpi -executable -type f | xargs strip
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
