## netifyd 4.2.5-1

=== deploy/rpm/Makefile ===
--- 
+++ 
@@ -206,10 +206,10 @@
 PACKAGE = netifyd
 PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
 PACKAGE_NAME = Netify Agent
-PACKAGE_STRING = Netify Agent 4.2.2
+PACKAGE_STRING = Netify Agent 4.2.5
 PACKAGE_TARNAME = netifyd
 PACKAGE_URL = https://www.netify.ai/
-PACKAGE_VERSION = 4.2.2
+PACKAGE_VERSION = 4.2.5
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -219,7 +219,7 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 4.2.2
+VERSION = 4.2.5
 YACC = bison -y
 YFLAGS = 
 ZLIB_CFLAGS =
