=== deploy/rpm/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.5 from Makefile.am.
+# Makefile.in generated by automake 1.16.3 from Makefile.am.
 # deploy/rpm/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2021 Free Software Foundation, Inc.
+# Copyright (C) 1994-2020 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -88,8 +88,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-pc-linux-gnu
-host_triplet = x86_64-pc-linux-gnu
+build_triplet = aarch64-unknown-linux-gnu
+host_triplet = aarch64-unknown-linux-gnu
 subdir = deploy/rpm
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
@@ -141,8 +141,6 @@
 CFLAGS = -g -O2
 CPP = gcc -E
 CPPFLAGS = 
-CSCOPE = cscope
-CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=gcc3
@@ -156,26 +154,25 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /usr/bin/grep -E
-ETAGS = etags
+EGREP = /bin/grep -E
 EXEEXT = 
-FGREP = /usr/bin/grep -F
+FGREP = /bin/grep -F
 GIT_LAST_COMMIT_DATE = 
 GIT_LAST_COMMIT_HASH = 
 GIT_SOURCE_URL = https://gitlab.com/netify.ai/public/netify-agent.git
-GREP = /usr/bin/grep
+GREP = /bin/grep
 HAVE_CXX11 = 1
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/bin/ld -m elf_x86_64
+LD = /usr/bin/ld
 LDFLAGS = 
 LEX = flex
-LEXLIB = -ll 
+LEXLIB = -lfl
 LEX_OUTPUT_ROOT = lex.yy
-LIBCURL_CFLAGS = -I/usr/include/x86_64-linux-gnu
+LIBCURL_CFLAGS = -I/usr/include/aarch64-linux-gnu
 LIBCURL_LIBS = -lcurl
 LIBJEMALLOC_CFLAGS = 
 LIBJEMALLOC_LIBS = 
@@ -184,7 +181,7 @@
 LIBNETFILTER_CONNTRACK_CFLAGS = 
 LIBNETFILTER_CONNTRACK_LIBS = -lnetfilter_conntrack -lnfnetlink
 LIBOBJS = 
-LIBS = -ldl -lresolv -lrt -lpthread -lpcap 
+LIBS = -ldl -lresolv -lpcap -lrt -lpthread 
 LIBTCMALLOC_CFLAGS = 
 LIBTCMALLOC_LIBS = -ltcmalloc_minimal
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
@@ -194,9 +191,9 @@
 LT_SYS_LIBRARY_PATH = 
 MAKEINFO = ${SHELL} '/builds/netify.ai/public/netify-agent/missing' makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /usr/bin/mkdir -p
-ND_DEFINES =  -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
-ND_PATH_BASH = /usr/bin/bash
+MKDIR_P = /bin/mkdir -p
+ND_DEFINES =  -D_ND_USE_LIBPCAP=1 -D_ND_USE_TPACKETV3=1 -D_ND_WITH_LIBCURL_ZLIB=1 -D_ND_USE_CONNTRACK=1 -D_ND_USE_INOTIFY=1 -D_ND_USE_NETLINK=1 -D_ND_USE_PLUGINS=1 -D_ND_USE_LIBTCMALLOC=1 -D'ND_CONF_FILE_NAME="/etc/netifyd.conf"' -D'ND_DATADIR="${datarootdir}/netifyd"' -D'ND_PERSISTENT_STATEDIR="/etc/netify.d"' -D'ND_PID_FILE_NAME="/var/run/netifyd/netifyd.pid"' -D'ND_VOLATILE_STATEDIR="/var/run/netifyd"'
+ND_PATH_BASH = /bin/bash
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -206,20 +203,20 @@
 PACKAGE = netifyd
 PACKAGE_BUGREPORT = https://gitlab.com/netify.ai/public/netify-agent/issues
 PACKAGE_NAME = Netify Agent
-PACKAGE_STRING = Netify Agent 4.2.5
+PACKAGE_STRING = Netify Agent 4.4.0
 PACKAGE_TARNAME = netifyd
 PACKAGE_URL = https://www.netify.ai/
-PACKAGE_VERSION = 4.2.5
+PACKAGE_VERSION = 4.4.0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 RANLIB = ranlib
-SED = /usr/bin/sed
+SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-VERSION = 4.2.5
+VERSION = 4.4.0
 YACC = bison -y
 YFLAGS = 
 ZLIB_CFLAGS = 
@@ -237,24 +234,24 @@
 am__quote = 
 am__tar = tar --format=posix -chf - "$$tardir"
 am__untar = tar -xf -
-bash = /usr/bin/bash
+bash = /bin/bash
 bindir = ${exec_prefix}/bin
-build = x86_64-pc-linux-gnu
+build = aarch64-unknown-linux-gnu
 build_alias = 
-build_cpu = x86_64
+build_cpu = aarch64
 build_os = linux-gnu
-build_vendor = pc
+build_vendor = unknown
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-pc-linux-gnu
+host = aarch64-unknown-linux-gnu
 host_alias = 
-host_cpu = x86_64
+host_cpu = aarch64
 host_os = linux-gnu
-host_vendor = pc
+host_vendor = unknown
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
@@ -335,6 +332,7 @@
 ctags CTAGS:
 
 cscope cscopelist:
+
 
 distdir: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
