=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-CFLAGS=-g
+CFLAGS=-g -pipe
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS+=-O0
 else
@@ -12,7 +12,7 @@
 
 
 %:
-	dh $@
+	dh $@ --parallel
 
 
 override_dh_auto_test:
